Package org.snpeff.snpEffect

# Enum Class EffectType

java.lang.Object
java.lang.Enum<EffectType>
org.snpeff.snpEffect.EffectType

All Implemented Interfaces:
  `Serializable`, `Comparable<EffectType>`, `Constable`

public enum EffectType extends Enum<EffectType>
Effect type: Note that effects are sorted (declared) by impact (highest to lowest putative impact). The idea is to be able to report only one effect per variant/transcript

Author:
  pcingola

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CDS`
`CHROMOSOME`
`CHROMOSOME_ELONGATION`
`CHROMOSOME_LARGE_DELETION`
`CHROMOSOME_LARGE_DUPLICATION`
`CHROMOSOME_LARGE_INVERSION`
`CODON_CHANGE`
`CODON_CHANGE_PLUS_CODON_DELETION`
`CODON_CHANGE_PLUS_CODON_INSERTION`
`CODON_DELETION`
`CODON_INSERTION`
`CUSTOM`
`DOWNSTREAM`
`EXON`
`EXON_DELETED`
`EXON_DELETED_PARTIAL`
`EXON_DUPLICATION`
`EXON_DUPLICATION_PARTIAL`
`EXON_INVERSION`
`EXON_INVERSION_PARTIAL`
`FEATURE_FUSION`
`FRAME_SHIFT`
`FRAME_SHIFT_AFTER_CDS_END`
`FRAME_SHIFT_BEFORE_CDS_START`
`GENE`
`GENE_DELETED`
`GENE_DUPLICATION`
`GENE_FUSION`
`GENE_FUSION_HALF`
`GENE_FUSION_REVERESE`
`GENE_INVERSION`
`GENE_REARRANGEMENT`
`GENOME`
`INTERGENIC`
`INTERGENIC_CONSERVED`
`INTRAGENIC`
`INTRON`
`INTRON_CONSERVED`
`MICRO_RNA`
`MOTIF`
`MOTIF_DELETED`
`NEXT_PROT`
`NON_SYNONYMOUS_CODING`
`NON_SYNONYMOUS_START`
`NON_SYNONYMOUS_STOP`
`NONE`
`PROTEIN_PROTEIN_INTERACTION_LOCUS`
`PROTEIN_STRUCTURAL_INTERACTION_LOCUS`
`RARE_AMINO_ACID`
`REGULATION`
`SEQUENCE`
`SPLICE_SITE_ACCEPTOR`
`SPLICE_SITE_BRANCH`
`SPLICE_SITE_BRANCH_U12`
`SPLICE_SITE_DONOR`
`SPLICE_SITE_REGION`
`START_GAINED`
`START_LOST`
`STOP_GAINED`
`STOP_LOST`
`SYNONYMOUS_CODING`
`SYNONYMOUS_START`
`SYNONYMOUS_STOP`
`TRANSCRIPT`
`TRANSCRIPT_DELETED`
`TRANSCRIPT_DUPLICATION`
`TRANSCRIPT_INVERSION`
`UPSTREAM`
`UTR_3_DELETED`
`UTR_3_PRIME`
`UTR_5_DELETED`
`UTR_5_PRIME`

## Method Summary

Modifier and Type
Method
Description
`VariantEffect.EffectImpact`
`effectImpact()`
Return effect impact
`EffectType`
`getGeneRegion()`
`boolean`
`isFusion()`
`static EffectType`
`parse(EffFormatVersion formatVersion, String str)`
Parse a string to an EffectType
`String`
`toSequenceOntology(EffFormatVersion formatVersion, Variant variant)`
`static EffectType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EffectType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CHROMOSOME_LARGE_DELETION

public static final EffectType CHROMOSOME_LARGE_DELETION

### CHROMOSOME_LARGE_INVERSION

public static final EffectType CHROMOSOME_LARGE_INVERSION

### CHROMOSOME_LARGE_DUPLICATION

public static final EffectType CHROMOSOME_LARGE_DUPLICATION

### GENE_REARRANGEMENT

public static final EffectType GENE_REARRANGEMENT

### GENE_DELETED

public static final EffectType GENE_DELETED

### TRANSCRIPT_DELETED

public static final EffectType TRANSCRIPT_DELETED

### EXON_DELETED

public static final EffectType EXON_DELETED

### EXON_DELETED_PARTIAL

public static final EffectType EXON_DELETED_PARTIAL

### GENE_FUSION

public static final EffectType GENE_FUSION

### GENE_FUSION_REVERESE

public static final EffectType GENE_FUSION_REVERESE

### GENE_FUSION_HALF

public static final EffectType GENE_FUSION_HALF

### FRAME_SHIFT

public static final EffectType FRAME_SHIFT

### STOP_GAINED

public static final EffectType STOP_GAINED

### STOP_LOST

public static final EffectType STOP_LOST

### START_LOST

public static final EffectType START_LOST

### SPLICE_SITE_ACCEPTOR

public static final EffectType SPLICE_SITE_ACCEPTOR

### SPLICE_SITE_DONOR

public static final EffectType SPLICE_SITE_DONOR

### RARE_AMINO_ACID

public static final EffectType RARE_AMINO_ACID

### EXON_DUPLICATION

public static final EffectType EXON_DUPLICATION

### EXON_DUPLICATION_PARTIAL

public static final EffectType EXON_DUPLICATION_PARTIAL

### EXON_INVERSION

public static final EffectType EXON_INVERSION

### EXON_INVERSION_PARTIAL

public static final EffectType EXON_INVERSION_PARTIAL

### PROTEIN_PROTEIN_INTERACTION_LOCUS

public static final EffectType PROTEIN_PROTEIN_INTERACTION_LOCUS

### PROTEIN_STRUCTURAL_INTERACTION_LOCUS

public static final EffectType PROTEIN_STRUCTURAL_INTERACTION_LOCUS

### NON_SYNONYMOUS_CODING

public static final EffectType NON_SYNONYMOUS_CODING

### GENE_DUPLICATION

public static final EffectType GENE_DUPLICATION

### TRANSCRIPT_DUPLICATION

public static final EffectType TRANSCRIPT_DUPLICATION

### UTR_5_DELETED

public static final EffectType UTR_5_DELETED

### UTR_3_DELETED

public static final EffectType UTR_3_DELETED

### SPLICE_SITE_BRANCH_U12

public static final EffectType SPLICE_SITE_BRANCH_U12

### GENE_INVERSION

public static final EffectType GENE_INVERSION

### TRANSCRIPT_INVERSION

public static final EffectType TRANSCRIPT_INVERSION

### CODON_INSERTION

public static final EffectType CODON_INSERTION

### CODON_CHANGE_PLUS_CODON_INSERTION

public static final EffectType CODON_CHANGE_PLUS_CODON_INSERTION

### CODON_DELETION

public static final EffectType CODON_DELETION

### CODON_CHANGE_PLUS_CODON_DELETION

public static final EffectType CODON_CHANGE_PLUS_CODON_DELETION

### NON_SYNONYMOUS_STOP

public static final EffectType NON_SYNONYMOUS_STOP

### NON_SYNONYMOUS_START

public static final EffectType NON_SYNONYMOUS_START

### SPLICE_SITE_REGION

public static final EffectType SPLICE_SITE_REGION

### SPLICE_SITE_BRANCH

public static final EffectType SPLICE_SITE_BRANCH

### SYNONYMOUS_CODING

public static final EffectType SYNONYMOUS_CODING

### SYNONYMOUS_START

public static final EffectType SYNONYMOUS_START

### SYNONYMOUS_STOP

public static final EffectType SYNONYMOUS_STOP

### CODON_CHANGE

public static final EffectType CODON_CHANGE

### START_GAINED

public static final EffectType START_GAINED

### MOTIF

public static final EffectType MOTIF

### MOTIF_DELETED

public static final EffectType MOTIF_DELETED

### FEATURE_FUSION

public static final EffectType FEATURE_FUSION

### FRAME_SHIFT_BEFORE_CDS_START

public static final EffectType FRAME_SHIFT_BEFORE_CDS_START

### FRAME_SHIFT_AFTER_CDS_END

public static final EffectType FRAME_SHIFT_AFTER_CDS_END

### UTR_5_PRIME

public static final EffectType UTR_5_PRIME

### UTR_3_PRIME

public static final EffectType UTR_3_PRIME

### REGULATION

public static final EffectType REGULATION

### MICRO_RNA

public static final EffectType MICRO_RNA

### UPSTREAM

public static final EffectType UPSTREAM

### DOWNSTREAM

public static final EffectType DOWNSTREAM

### NEXT_PROT

public static final EffectType NEXT_PROT

### INTRON_CONSERVED

public static final EffectType INTRON_CONSERVED

### INTRON

public static final EffectType INTRON

### INTRAGENIC

public static final EffectType INTRAGENIC

### INTERGENIC_CONSERVED

public static final EffectType INTERGENIC_CONSERVED

### INTERGENIC

public static final EffectType INTERGENIC

### CDS

public static final EffectType CDS

### EXON

public static final EffectType EXON

### TRANSCRIPT

public static final EffectType TRANSCRIPT

### GENE

public static final EffectType GENE

### SEQUENCE

public static final EffectType SEQUENCE

### CHROMOSOME_ELONGATION

public static final EffectType CHROMOSOME_ELONGATION

### CUSTOM

public static final EffectType CUSTOM

### CHROMOSOME

public static final EffectType CHROMOSOME

### GENOME

public static final EffectType GENOME

### NONE

public static final EffectType NONE

## Method Details

### values

public static EffectType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EffectType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### parse

public static EffectType parse(EffFormatVersion formatVersion, String str)
Parse a string to an EffectType

### effectImpact

public VariantEffect.EffectImpact effectImpact()
Return effect impact

### getGeneRegion

public EffectType getGeneRegion()

### isFusion

public boolean isFusion()

### toSequenceOntology

public String toSequenceOntology(EffFormatVersion formatVersion, Variant variant)